package es.mde;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import es.mde.restaurante.entidades.Pedido;

@Configuration
public class ConfiguracionPorJava {
	/*
	 * Lo primero que hay q tener claro es que el @Value solo funciona con los
	 * beans, si haces un new de una clase, eso no es un bean y va a sacar un null
	 * en la propiedad
	 */

	// puedo usar @value en un campo, para luego usar su valor donde quiera
	@Value("${restaurante-casa-porras.idioma}")
	String idiomaPedido;

	// también puedo usar @Value en el constructor de un bean
	@Bean
	public Pedido getPedido(@Value("${restaurante-casa-porras.pedidoMinimo}") Double pedidoMinimo) {
		Pedido pedido = new Pedido();
		pedido.setPedidoMinimo(pedidoMinimo);
		pedido.setIdioma(idiomaPedido);
		return pedido;

	}

}
